Subject: Re: bug#55628: debug-timer-check fails on macOS 11.6.6

From: Mattias Engdegård <[email-masked]>
Date: Thu, 26 May 2022 15:15:56 +0200

26 maj 2022 kl. 13.37 skrev Eli Zaretskii <[email-masked]>:

> Not in principle, but we in this project don't do that.  E.g., there
> are several debug-related functions and commands in xdisp.c that are
> only compiled in under ENABLE_CHECKING.

I don't think that not having done it in the past is justification enough for not doing it now, but I agree that it would be preferable to have it covered by a test that doesn't need a special interface.

It looks like funcall-with-delayed-message could be used for this purpose. I came up with the attached test, which also has the benefit of extending test coverage to that function which previously had none.